Skip to main content
`Ctrl`+`K`

# PetscStrendswithwhich

Determines if a string ends with one of several possible strings

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrendswithwhich(const char a[], const char *const *bs, PetscInt *cnt)

Not Collective; No Fortran Support

## Input Parameters

- a - pointer to string

- bs - strings to end with (last entry must be `NULL`)

## Output Parameter

- cnt - the index of the string it ends with or the index of `NULL`

## See Also

`PetscStrbeginswithwhich()`, `PetscStrendswith()`, `PetscStrtoupper`, `PetscStrtolower()`, `PetscStrrchr()`, `PetscStrchr()`, `PetscStrncmp()`, `PetscStrlen()`, `PetscStrcmp()`

## Level

intermediate

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages